unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FastFX;

type
  TForm5 = class(TForm)
    sAngle: TScrollBar;
    Label1: TLabel;
    scx: TScrollBar;
    scy: TScrollBar;
    rRotateWrap: TRadioButton;
    rSmoothRotateWrap: TRadioButton;
    Label2: TLabel;
    rRotate: TRadioButton;
    rSmoothRotate: TRadioButton;
    rClear: TCheckBox;
    procedure sAngleScroll(Sender: TObject; ScrollCode: TScrollCode;
      var ScrollPos: Integer);
    procedure FormShow(Sender: TObject);
    procedure rRotateWrapClick(Sender: TObject);
    procedure FormHide(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Process;
  end;

var
  Form5: TForm5;

implementation

uses Unit2;

{$R *.DFM}

procedure TForm5.Process;
var
Angle: Extended;
cx,cy: Integer;
begin
  Angle:=sAngle.Position * 0.1;
  if Angle=0 then Exit;
  cx:=scx.Position;
  cy:=scy.Position;
  if(rClear.Checked)and(rRotate.Checked or rSmoothRotate.Checked)
  then ZeroMemory(Form2.Bmp.Bits,Form2.Bmp.Size);
  if rRotateWrap.Checked then
    RotateWrap(Form2.Buf,Form2.Bmp,cx,cy,Angle)
  else if rSmoothRotateWrap.Checked then
    SmoothRotateWrap(Form2.Buf,Form2.Bmp,cx,cy,Angle)
  else if rRotate.Checked then
    Rotate(Form2.Buf,Form2.Bmp,cx,cy,Angle)
  else
    SmoothRotate(Form2.Buf,Form2.Bmp,cx,cy,Angle);
  Form2.Refresh;
end;

procedure TForm5.sAngleScroll(Sender: TObject; ScrollCode: TScrollCode;
  var ScrollPos: Integer);
begin
  Process;
end;

procedure TForm5.FormShow(Sender: TObject);
begin
  scx.Max:=Form2.Bmp.Width;
  scy.Max:=Form2.Bmp.Height;
  scx.Position:=Form2.Bmp.Width div 2;
  scy.Position:=Form2.Bmp.Height div 2;
end;

procedure TForm5.rRotateWrapClick(Sender: TObject);
begin
  Process;
end;

procedure TForm5.FormHide(Sender: TObject);
begin
  CopyMemory(Form2.Buf.Bits,Form2.Bmp.Bits,Form2.Buf.Size);

end;

end.
